#### PyKDE - Python Bindings for KDE

# class KWritePermsIcon |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KWritePermsIcon
Inherits | KAuthIcon

### methods

- KWritePermsIcon (fileName, parent = 0, name = 0)

  returns a KWritePermsIcon instance
  Argument | Type | Default
  --- | --- | ---
  fileName | TQString |
  parent | TQWidget | 0
  name | char | 0

- fileName ()

  returns (TQString)
  In versions KDE 3.4.0 and above only

- setFileName (fileName)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  fileName | TQString |

- status ()

  returns (bool)

- updateStatus ()

  returns nothing